Subject: RE: [AVT] Offer/Answer section in draft-ietf-avt-rfc2429-bis-09.txt

From: "Desineni, Harikishan" <[email-masked]>
Date: Fri, 3 Nov 2006 16:08:48 -0800

Is there a need/benefit to provide height and width when signaling level
20?

> -----Original Message-----
> From: Even, Roni [mailto:[email-masked]]
> Sent: Thursday, October 05, 2006 12:32 AM
> To: Even, Roni; Gary Sullivan; Desineni, Harikishan; Magnus Westerlund
> Cc: Cullen Jennings; Carsten Bormann; Stephan Wenger (Nokia); IETF AVT
WG
> Subject: RE: [AVT] Offer/Answer section in draft-ietf-avt-rfc2429-bis-
> 09.txt
> 
> Hi,
> After further study of the framework I saw that in H.323 it states
that
> systems supporting H.263 must support QCIF with no resolution
specified.
> At the IETF there was no way to specify resolutions and frame rates.
> This was one of the reasons for updating the H.263 and H.261 RFCs
(2429,
> 2032 and 2190 which will become historical)
> Roni
> 
> > -----Original Message-----
> > From: Even, Roni [mailto:[email-masked]]
> > Sent: Thursday, October 05, 2006 8:48 AM
> > To: Gary Sullivan; Desineni, Harikishan; Magnus Westerlund
> > Cc: Cullen Jennings; Carsten Bormann; Stephan Wenger (Nokia); IETF
AVT
> WG
> > Subject: RE: [AVT] Offer/Answer section in
draft-ietf-avt-rfc2429-bis-
> > 09.txt
> >
> > Gary,
> > You are correct and I was not arguing the mode. I was just pointing
> pout
> > that if H263-1998 references the 1998 version then it can not
suggest
> > using profile and level which were defined in the 2000 version.
> > The txt I suggested was that if the EP signals H263-1998 with no
> > parameters it will mean base line at QCIF while if it signals
> H263-2000
> > with no parameters it will mean profile 0 level 0.
> > I assume that we will still have the frame rate as an issue since
for
> > H263 and H263-1998, my view is that it was 30 fps while level 10 is
> > 15fps but I do not see this as a major problem.
> > Roni
> >
> > > -----Original Message-----
> > > From: Gary Sullivan [mailto:[email-masked]]
> > > Sent: Wednesday, October 04, 2006 7:57 PM
> > > To: Even, Roni; Desineni, Harikishan; Magnus Westerlund
> > > Cc: IETF AVT WG; Cullen Jennings; [email-masked]; Carsten
Bormann;
> > > Stephan Wenger (Nokia)
> > > Subject: RE: [AVT] Offer/Answer section in
> draft-ietf-avt-rfc2429-bis-
> > > 09.txt
> > >
> > >
> > > Actually, I would personally say that H.263-1998 DOES support
> profile
> > 0
> > > level 10.  It just did not have that name officially defined for
> that
> > > type of bitstream until 2001.  In fact that type of operation was
> even
> > > supported in the original (1995) edition.
> > >
> > > Profile 0 level 10 is synonymous with Baseline operation at QCIF
> > > resolution with a frame rate no greater than 15 / 1.001 frames per
> > > second.  There is no difference between the bitstream formats of
> > > H.263-2005, H.263-2001, H.263-2000, H.263-1998, or H.263-1995 when
> > > operated in that fashion.
> > >
> > > Best Regards,
> > >
> > > Gary Sullivan
> > >
> > > +> -----Original Message-----
> > > +> From: Even, Roni [mailto:[email-masked]]
> > > +> Sent: Wednesday, October 04, 2006 3:19 AM
> > > +> To: Desineni, Harikishan; Magnus Westerlund
> > > +> Cc: IETF AVT WG; Cullen Jennings; [email-masked]; Carsten
> > > +> Bormann; Stephan Wenger (Nokia); Gary Sullivan
> > > +> Subject: RE: [AVT] Offer/Answer section in
> > > +> draft-ietf-avt-rfc2429-bis-09.txt
> > > +>
> > > +> Hi,
> > > +> The problem is that profile 0 level 10 is not defined for
> > > +> H263-1998. The
> > > +> ITU document H.263 from 1998 does not have profile 0 level
> > > +> 10. That is
> > > +> why older implementation will support H.263 baseline at QCIF
> > > +>
> > > +> Roni
> > > +>
> > > +> > -----Original Message-----
> > > +> > From: Desineni, Harikishan [mailto:[email-masked]]
> > > +> > Sent: Wednesday, October 04, 2006 4:56 AM
> > > +> > To: Even, Roni; Magnus Westerlund
> > > +> > Cc: IETF AVT WG; Cullen Jennings; [email-masked];
> > > +> Carsten Bormann;
> > > +> > Stephan Wenger (Nokia); Gary Sullivan
> > > +> > Subject: RE: [AVT] Offer/Answer section in
> > > +> draft-ietf-avt-rfc2429-bis-
> > > +> > 09.txt
> > > +> >
> > > +> > Making profile 0, level 10 {QCIF 15FPS for h263-1998} as
> > > +> the default
> > > +> > will be very friendly towards legacy implementations. This
> would
> > be
> > > +> the
> > > +> > best choice for both h263-1998 and h263-2000.
> > > +> >
> > > +> > I don't think it is safe to assume that all decoders out
> > > +> there support
> > > +> > 30FPS QCIF,CIF.
> > > +> >
> > > +> > -----Original Message-----
> > > +> > From: Even, Roni [mailto:[email-masked]]
> > > +> > Sent: Tuesday, October 03, 2006 1:57 AM
> > > +> > To: Desineni, Harikishan; Magnus Westerlund
> > > +> > Cc: IETF AVT WG; Cullen Jennings; [email-masked];
> > > +> Carsten Bormann;
> > > +> > Stephan Wenger (Nokia); Gary Sullivan
> > > +> > Subject: RE: [AVT] Offer/Answer section in
> > > +> > draft-ietf-avt-rfc2429-bis-09.txt
> > > +> >
> > > +> > For the h263-1998 the default will be H.263 base line QCIF
> > > +> while for
> > > +> the
> > > +> > H263-2000 it will be profile 0 level 10 (if all agree). In
> > > +> the text I
> > > +> > will explain that H263-1998 does not support profile and
> > > +> levels that
> > > +> > were defines later.
> > > +>
> > > +>
> >
> > _______________________________________________
> > Audio/Video Transport Working Group
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt